2009-02-18  Jonathon Jongsma  <jjongsma@gnome.org>

	* configure.in: bump version to 2.24.0

2009-02-15  Dodji Seketeli  <dodji@redhat.com>

	* src/gtkhex.c (gtk_hex_init): GObject type ids should be instances of
	GType, not of guint. On x86_64, GType size is 8 bytes whereas guint is
	4 bytes. This was causing random crashes in Nemiver in gtk_hex_new.

2009-02-06  Martin Olsson  <mnemo@minimum.se>

	* src/ghex-window.c:
	(ghex_window_update_status_message): Fix an off-by-one error in reporting
	the number of bytes selected in the status bar.
	* src/gtkhex.c:
	(gtk_hex_set_cursor): emit the 'cursor-moved' signal later to fix broken
	reporting of selection range when selecting text with the keyboard

2009-01-27  Pacho Ramos  <pacho@condmat1.ciencias.uniovi.es>

	* ghex.desktop.in: Bug #568023: provided desktop files don't follow
	freedesktop spec

2009-01-26  Martin Olsson  <mnemo@minimum.se>

	* src/ghex-window.c:
	* src/gtkhex.c:
	(gtk_hex_key_press):
	* src/hex-document.c:
	Bug #564375 - patch that removes unused variables in ghex.

2009-01-26  Martin Olsson  <mnemo@minimum.se>

	* src/hex-dialog.c:
	(hex_dialog_getview): Bug #564371 - ghex2 prints g_warning on startup because
	it uses a deprecated API (GtkAdjustment page_size being non-zero.

2008-04-10  Jonathon Jongsma  <jjongsma@gnome.org>

	* configure.in: post-release bump to 2.23.0 for trunk

2008-04-06  Jonathon Jongsma  <jjongsma@gnome.org>

	* src/ui.c: Update the About Dialog to use the application icon.  In the
	process, I ported the code from GnomeAbout to GtkAboutDialog.
	Fixes Bug #520983

2008-04-05  Jonathon Jongsma  <jjongsma@gnome.org>

	* src/gtkhex.c: fix a bug where the selection would always start at 0 if
	the user only used the keyboard.  To reproduce, navigate away from the start
	of the document, then press Shift+Down, and the text will be selected, but
	instead of starting the selection from where the cursor was when you pressed
	Down, it would start from the beginning of the file.

2008-04-09  Jonathon Jongsma  <jjongsma@gnome.org>
i
	* src/gtkhex.c (draw_shadow, gtk_hex_size_allocate): Fix the allocation code
	to allocate the child widgets relative to the GtkHex allocation.x and
	allocation.y coordinates instead of (0,0).  Fixes Bug #527272

2008-04-12  Jonathon Jongsma  <jjongsma@gnome.org>

	* src/gtkhex.c (draw_shadow): remove the call to gdk_window_clear_area()
	since it can sometimes result in the background between the hex and ascii
	widgets becoming dark black.  Fixes Bug #527279

2008-04-10  Jonathon Jongsma  <jjongsma@gnome.org>

	* src/Makefile.am: set G_LOG_DOMAIN for the shared libgtkhex library so that
	warning messages use the right domain

2008-04-10  Rodney Dawes  <dobey.pwns@gmail.com>

	* configure.in: Up version to 2.22.0 for release

2008-02-26  Rodney Dawes  <dobey.pwns@gmail.com>

	* configure.in: Up version to 2.21.92 for release

2008-02-26  Rodney Dawes  <dobey.pwns@gmail.com>

	* src/ghex-window.c (ghex_window_new):
	Pass DATADIR instead of PREFIX to bonobo_ui_util_set_ui
	Patch from Yuriy Penkin <yura.penkin@gmail.com>

	Fixes #515425

2008-01-30  Rodney Dawes  <dobey.pwns@gmail.com>

	* configure.in: Up version to 2.21.90 for release

2008-01-30  Rodney Dawes  <dobey.pwns@gmail.com>

	* Makefile.am: Use GCONF_SCHEMA_FILE_DIR for schemadir

	Fixes #511529

2007-12-21  Rodney Dawes  <dobey.pwns@gmail.com>

	* configure.in:
	* gtkhex.pc.in:
	Use the same version number for libgtkhex as ghex itself

2007-12-21  Rodney Dawes  <dobey.pwns@gmail.com>

	* configure.in: Up version to 2.21.4 for release

2007-11-30  Jonathon Jongsma  <jjongsma@gnome.org>

	* src/gtkhex.c:
	* src/gtkhex.h: add API to set a starting offset address.  In some ways it
	seems that this information is a property of the document rather than the
	view, but the GtkHex widget does all of the offset-related stuff, so I put
	it here.  This is useful for using this widget as a debugger memory editor
	since we'll only read a small amount of memory from gdb and we want to be
	able to label the rows with the correct address.  Fix for bug #465137

2007-11-30  Jonathon Jongsma  <jjongsma@gnome.org>

	* src/gtkhex.c:
	* src/gtkhex.h: connect to the HexDocument's document_changed signal and
	redraw the widget so that the display gets updated when modifying the data
	with hex_document_set_data().  Fix for bug #500358

2007-12-09  Rodney Dawes  <dobey.pwns@gmail.com>

	* configure.in: Update version to 2.20.1 for release

2007-11-28  Jonathon Jongsma  <jjongsma@gnome.org>

	* src/hex-document.h: added missing include for gtkwidget.h
	when the file is included directly

2007-11-28  Jonathon Jongsma  <jjongsma@gnome.org>

	* src/gtkhex.h: fixed typo G_BEGIN_DECLS instead of G_END_DECLS

2007-09-17  Rodney Dawes  <dobey.pwns@gmail.com>

	* configure.in: Update version to 2.20.0 for release

2007-09-02  Rodney Dawes  <dobey.pwns@gmail.com>

	* MAINTAINERS: I got hustled into this by a pre-commit script

2007-08-27  Rodney Dawes  <dobey.pwns@gmail.com>

	* configure.in: Update version to 2.19.91 for release

2007-08-25  Rodney Dawes  <dobey.pwns@gmail.com>

	* src/gtkhex.c (gtk_hex_key_press):
	Change the return value to be gboolean instead of gint
	(gtk_hex_key_release):
	Turn off selection mode when Shift is released
	(gtk_hex_button_release):
	Enable selection mode if doing shift+click

2007-08-25  Rodney Dawes  <dobey.pwns@gmail.com>

	* src/preferences.c (create_prefs_dialog):
	Add mnemonics to a few labels, and set mnemonic widget if needed

	* src/ui.c (group_type_label[3]):
	Add mnemonics to the type labels, for the preferences dialog

	Fixes #466695

2007-08-25  Rodney Dawes  <dobey.pwns@gmail.com>

	* src/Makefile.am:
	* src/ghex-window.c (ghex_window_new):
	Pass PREFIX in to bonobo_ui_util_set_ui so that we can load the
	ui xml from the appropriate prefix

	Fixes #467384

2007-08-13  Rodney Dawes  <dobey.pwns@gmail.com>

	* configure.in: Update version to 2.19.90 for release

2007-08-10  Jonathon Jongsma  <jjongsma@gnome.org>

	* src/hex-document.h: add G_BEGIN/END_DECLS around public declarations
	so that it can be easily included in C++ applications

2007-08-09  Rodney Dawes  <dobey.pwns@gmail.com>

	* src/gtkhex.c (gtk_hex_key_press):
	Handle keypad presses appropriately when numlock is on/off

	Fixes #464979

2007-08-08  Rodney Dawes  <dobey.pwns@gmail.com>

	* src/gtkhex.c (gtk_hex_insert_autohilight):
	Pass the right type to sizeof for the malloc
	Patch from Stanislav Brabec <sbrabec@suse.cz>

	Fixes #339055
	
2007-08-08  Rodney Dawes  <dobey.pwns@gmail.com>

	* configure.in: Update version to 2.19.0 for release
	Don't pass arguments to AM_INIT_AUTOMAKE and AC_INIT both
	
2007-08-08  Rodney Dawes  <dobey.pwns@gmail.com>

	* .cvsignore: Remove all the now-unneeded .cvsignore files

	* *.make: Remove these included makefiles as they are autogenerated

	* Makefile.am: Add DISTCHECK_CONFIGURE_FLAGS
	Add CLEANFILES and DISTCLEANFILES
	Add gnome-doc-utils files to EXTRA_DIST
	Remove omf-install from SUBDIRS

	* autogen.sh: Require automake 1.7 and set up for gnome-doc-utils

	* configure.in: Update to use gnome-doc-utils
	Remove help/$lang/Makefile from AC_OUTPUT
	Remove omf-install from AC_OUTPUT

	* help/*/Makefile.am:
	* help/*/ghex2.xml:
	* help/*/ghex2-*.omf:
	* help/*/legal.xml:
	* help/*/topic.dat:
	* help/*/*.html:
	* help/*/*.png:
	* help/*/*.sgml:
	* help/*/*.txt:
	Remove all these files that are no longer needed with gnome-doc-utils

	* help/*/*.po: New po files for translations with gnome-doc-utils

	* help/Makefile.am: Update to use gnome-doc-utils
	
	* help/ghex.omf.in: Generate the translated omf files from this

2007-08-06  Rodney Dawes  <dobey.pwns@gmail.com>

	* Makefile.am: Remove icon install bits
	Add icons to SUBDIRS

	* configure.in: Create Makefiles for icons subdirectories

	* ghex.desktop.in: Use ghex as the Icon instead of gnome-ghex.png

	* gnome-ghex.png: Replaced with udpated style icons

	* icons: Add new icons subdir with icons and automake files
	New icon original from Matteo Drera <seven.issimo@gmail.com>
	
	* src/main.c (main): Set the default window icon from the theme
	rather than a hardcoded path to the old gnome-ghex.png

	Fixes #405331
	
2007-08-03  Rodney Dawes  <dobey.pwns@gmail.com>

	* ghex.spec: Remove from version control as it is autogenerated
	by the configure script

2007-08-03  Rodney Dawes  <dobey.pwns@gmail.com>

	* configure.in: Require intltool >= 0.35.0 for po/LINGUAS support
	Remove ALL_LINGUAS as we moved this information to po/LINGUAS

2007-08-03  Rodney Dawes  <dobey.pwns@gmail.com>

	* src/ghex-window.c (ghex_window_ok_to_close):
	* src/ui.c (save_cb):
	Fix typo in string: occurred not occured

	Partially fixes #314569

2007-08-03  Rodney Dawes  <dobey.pwns@gmail.com>

	* src/ghex-ui.xml: Fix mnemonic conflicts in Edit menu
	Remove ellipsis from "Character _Table" toggle menu item
	Patch from Subrahmanyam Madduri
	
	Fixes #339054

2007-08-03  Rodney Dawes  <dobey.pwns@gmail.com>

	* ghex.desktop.in: Add semicolon to end of Categories list
	Patch from Luca Cavalli <luca.cavalli@gmail.com>

	Fixes #339414

2007-08-03  Rodney Dawes  <dobey.pwns@gmail.com>

	* src/findreplace.c (replace_all_cb):
	Use ngettext to translate plurals

	Fixes #123865

2007-08-03  Rodney Dawes  <dobey.pwns@gmail.com>

	* Makefile.am: Remove duplicate @INTLTOOL_DESKTOP_RULE@

	Fixes #333808

2007-08-03  Rodney Dawes  <dobey.pwns@gmail.com>

	* Makefile.am: Support --disable-schemas-install
	Patch from dmacks@netspace.org

	Fixes #333807

2007-07-27  Raivis Dejus  <orvils@gmail.com>

	* configure.in: Added 'lv' to ALL_LINGUAS.

2007-01-10  Pema Geyleg  <pema.geyleg@gmail.com>

	* configure.in: Added 'dz' to ALL_LINGUAS.

2006-05-23  Jaka Mocnik  <jaka@gnu.org>

	* configure.in: version 2.8.3.
	* src/ghex-window.c (ghex_window_drag_data_received): do not
	dereference the filename pointer!
	* src/gtkhex.c (gtk_hex_set_cursor[_xy]): add a sanity check so that
	new cursor pos is always non-negative.
	* src/hex-document.c (get_document_attributes): do not discriminate
	against empty files.
	
2006-04-17  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Remove obsolete entry for no_NO.
	* po/no.po: And the translation.

2006-03-07  Jaka Mocnik  <jaka@gnu.org>

	* configure.in: version 2.8.2; release a tarball to pick up new
	translations; tagged as GHEX_2_8_2.
	
2005-12-06  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Add nb to ALL_LINGUAS.

2005-08-24  Pawan Chitrakar  <pchitrakar@gmail.com>

	* configure.in: Added ne in ALL_LINGUAS

2005-04-01  Steve Murphy  <murf@e-tools.com>

        * configure.in: Added "rw" to ALL_LINGUAS.

2004-11-06  Amanpreet Singh Alam <aalam@redhat.com>

	* ALL_LINGUAS: pa [Punjabi] is add for Transaltion

2004-10-17  Jaka Mocnik  <jaka@gnu.org>

	* src/Makefile.am (INCLUDES): removed -I$(includedir): apparently it breaks 
	builds for some people.
	* src/converter.c: fixed a bug in set_values().
	* configure.in: version 2.8.1; released a tarball; tagged as GHEX_2_8_1.

2004-10-11  Jaka Mocnik  <jaka@gnu.org>

	* src/ui.c: '(C)' -> 'Copyright'.
	* released 2.8.0 tarball; tagged as GHEX_2_8_0.

2004-10-09  Jaka Mocnik  <jaka@gnu.org>

	* configure.in: bumped version to 2.8.0: now we have a reason to.
	* src/findreplace.c: changed all GtkEntries to GtkHex widgets which allow for
	mixed hex/ascii editing of search and replace strings. removed the search type
	selection radio buttons as they are not needed anymore.
	* src/hex-document.[ch]: renamed hex_document_new() to hex_document_new_from_file()
	and added hex_document_new() that creates an empty document. fixed all code to
	respect this.
	* src/gtkhex.[ch]: new function gtk_hex_set_geometry() that allows user to set the
	GtkHex widget dimensions by number of characters per line and number of visible lines.
	* src/gtkhex.c: misc bugfixes.

2004-10-07  Jaka Mocnik  <jaka@gnu.org>

	* src/ghex-window.c (ghex_window_load): fixed padding and border of window vbox.
	* src/preferences.c (offset_fmt_update_from_entry): new function for updating format
	string with contents from prefs dialog entry.
	(format_focus_out_event_cb): update format string.
	* ghex2.schemas: removed unused gconf keys for print font sizes.
	* major cleanup: contents of ghex.h moved to separate header file for each module
	making up ghex; removed unused #defines and variables left over after more than
	6 years of occasional coding on ghex.

2004-10-06  Jaka Mocnik  <jaka@gnu.org>

	* src/gtkhex.[ch]: renamed gtk_hex_[copy|cut]_clipboard() to
	gtk_hex_[copy|cut]_to_clipboard().
	* src/gtkhex.[ch]: added gtk_hex_clear_selection() and gtk_hex_get_selection(),
	made gtk_hex_set_selection() and gtk_hex_delete_selection() public.
	* src/ghex-window.[ch]: added ghex_window_update_status_message() and use it
	throughout the source.
	* src/ghex-window.c: added selection interval and selection size to status message;
	fixes #151848.
	* src/preferences.c: update the status message after offset format changes;
	fixes #154690.

2004-10-04  Jaka Mocnik  <jaka@gnu.org>

	* src/ghex-window.c (ghex_window_drag_data_received): use g_filename_from_uri() as
	suggested by Fredrik Noring.
	* configure.in: set version back to 2.6.3; there really hasn't been anything that
	new that would require a new minor version...
	* src/gtkhex.c: added hex_scroll_cb() and ascii_scroll_cb() that propagate the event
	to the scrollbar, effectively enabling mouse wheel scrolling while the pointer is in
	the hex or ascii view.
	* src/ui.c (about_cb): caronized the c in my surname;) and removed email addresses.
	* src/preferences.c: moved definitions of variables pertaining to configuration
	to config.c.
	* src/gnome-print-font-picker.c (gnome_print_font_picker_label_use_font_in_label):
	introduced some sanity checks; probably fixes #144261 - I couldn't reproduce it
	in any way, so I suspect it only appears in faulty font setups.
	* applied the following patches patch by Subrahmanyam Madduri:
 	* src/ghex-window.c (drag_data_received): 
	avoids many DND issues. fixes #150333, #150335, #150336.
 	* src/findreplace.c (replace_all_cb): removed typo mistakes. fixes #150338.
 	* src/ui.c (close_cb): status bar is reset upon file close. fixes #150339.

2004-08-26  Mohammad DAMT  <mdamt@bisnisweb.com>

	* configure.in: Added id to ALL_LINGUAS
	* po/id.po: Added Indonesian translation done by Abdul Hamid.A.Nawawi <hameed@linuxmail.org> 

2004-06-16  Jaka Mocnik  <jaka@gnu.org>

	* src/ghex-window.c (ghex_window_set_doc_name): applied patch from 
	Subrahmanyam Madduri: changed the title order as "<filename> - GHex"
	Fixes bug 60089 in bugzilla.ximian.com.

2004-06-11  Jaka Mocnik  <jaka@gnu.org>

	* src/preferences.c (prefs_response_cb): display help. fixes #143643.
	* src/findreplace.c (goto_byte_cb): report an error if the input is
	not a positive decimal number or a hex number, beginning with '0x'.
	fixes #144014.

2004-05-20  Jaka Mocnik  <jaka@gnu.org>

	* ported some bugfixes from gnome-2-6 branch:
	* src/hex-document.[ch]: new signals "undo", "redo" and
	"undo_stack_forget" added.
	* src/hex-document.c: remove all calls to
	hex_document_set_menu_sensitivity(). UI related stuff should be
	abstracted from the HexDocument class. man, was I dumb... instead
	just invoke the new signals.
	* src/hex-document-ui.c (hex_document_set_menu_sensitivity): changed
	to set_doc_menu_sensitivity().
	* src/ghex.h: prototype for set_doc_menu_sensitivity().
	* src/ghex-window.c (ghex_window_load): connect
	set_doc_menu_sensitivity() to all three new signals.
	* all the above together should fix #142220.
	* src/gtkhex.h: removed hex-dialog.h include. moved advanced find
	dialog related typedefs to ghex.h where they belong. fixes #142221.
	
2004-04-26  Adam Weinberger  <adamw@gnome.org>

	* en_CA.po: Added en_CA to ALL_LINGUAS.

2004-04-25  Jaka Mocnik <jaka@gnu.org>

	* applied a patch from Muktha Narayan; prevent a crash when advanced
	find is issued with no file loaded (fixes #131919):
	* findreplace.c (advanced_find_add_cbadvanced_find_add_cb): check if
	there is a document loaded. 
	* ghex-window.c (ghex_window_set_sensitivity): disable AdvanceFind 
	option if there's no document loaded. 
	* applied a patch from Kaushal Kumar to destroy a dialog upon
	response (fixes #131411):
	* ghex-window.c (ghex_window_save_as): Destroy the 'overwrite' 
	message dialog after getting the response.
	Fix bugzilla bug #131411.
	* applied a patch from Vijaykumar Patwari to validate the print
	ranges (fixes #120295):
	* src/ui.c (ghex_print_dialog_response): Removed pji->config
	getting populated.
	(ghex_print_run_dialog): setting the value for pji->config.
	Fixes bug# 120295.
	* applied a patch from Shakti Sen that closes another question dialog.
	fixes #136745:
	* src/ui.c (revert_cb): Destroying the question dialog.
	Fixes bug #136745
	* src/ghex-ui.xml: added About item its stock icon, as suggested by
	Kaveri Murthy.
	* src/findreplace.c (create_advanced_find_add_dialog): move the color
	selection in the vbox, since it screws up the action area if put
	there. fixes #131907.
	* src/ui.c (ghex_print_document_real): create a progress dialog.
	(ghex_print_progress): progress callback for printing.
	* src/print.c (ghex_print_job_execute): allow user to call a progress
	indication callback. fixes #113356.
	* src/hex-document.c (hex_document_export_html): fixed progress dialog
	to be a true dialog.
	(export_html_cb): destroy message box.
	*  (ghex-window.c, ui.c): replaced all uses of GtkFileSelection with
	GtkFileChooserDialog! among other things, this fixes #140332.
	* src/hex-document.c (hex_document_export_html): create UTF-8 encoded
	output. fixes #122493.
	* src/preferences.c (select_display_font_cb, create_prefs_dialog): use
	GtkFontButton for display font selection.
	* Makefile.am: removed OrigTree.pm from EXTRA_DIST.
	* configure.in: fixed package dependency versions; bumped version to
	2.6.0;tagged as GHEX_2_6_0; branched off gnome-2-6 branch.

2004-03-04 Breda McColgan <breda.mccolgan@sun.com>

	* help/C/ghex2.xml: Updated for GNOME 2.6, technical review draft
	* help/C/ghex2-C.omf: Updated for GNOME 2.6
	* help/C/l10n.txt: Updated for GNOME 2.6
	* help/C/figures/ghex_window_empty.png: Updated for GNOME 2.6
	* help/C/figures/ghex_window_open.png: Updated for GNOME 2.6

2004-02-12  Tomasz Kłoczk o<kloczek@pld.org.pl>

	* src/Makefile.am: fixed paralel build (make -j<N>).
	* configure.in: Trivial cleanup: remove AC_SUBST(CFLAGS),
	  AC_SUBST(CPPFLAGS) and AC_SUBST(LDFLAGS). This variables are
	  substed by default.

2003-12-30  Jaka Mocnik  <jaka@gnu.org>

	* Makefile.am: include intltool-modules dir in distribution tarball.

2003-12-29  Jaka Mocnik  <jaka@gnu.org>

	* configure.in: added --enable-deprecations parameter to allow for
	configurable inclusion of *_DISABLE_DEPRECATED defines.
	bumped version to 2.5.2; tagged as GHEX_2_5_2; released a tarball
	* src/Makefile.am: respect the above.

2003-12-19  Shakti Sen <shakti.sen@wipro.com>

        * src/ui.c (close_cb):
        Unreferenced the object (doc) only after destroying the window.
        Fixes the bug #129674

2003-12-14  Jaka Mocnik  <jaka@gnu.org>

	* configure.in: removed -Wall in order to allow non-gcc builds.

2003-11-02  Jaka Mocnik  <jaka@gnu.org>

	* src/gtkhex.c (render_xc, render_ac): render inactive cursor as
	an outlined rectangle. fixes #126034.
	(gtk_hex_key_press): toggle active view on tab, not just on control
	tab. fixes #126033.
	(gtk_hex_size_allocate): queue offset widget for redraw .

2003-10-25  Jaka Mocnik  <jaka@gnu.org>

	replaced deprecated functions all over the code. this will probably
	cause some things not to work;)
	* src/findreplace.c: Use GtkColorSelection.
	* src/preferences.c: Use GtkFontSelection.
	* src/converter.c: GnomeDialog -> GtkDialog.
	* src/gtkhex.c (gtk_hex_class_init): gtk_signal_new -> g_signal_new.
	* src/ghex-window.c, src/ui.c: GnomeMessageBox -> GtkMessageDialog.
	* configure.in: version 2.5.1; tag GHEX_2_5_1.

2003-10-10  Jaka Mocnik  <jaka@gnu.org>

	* src/print.c (ghex_print_job_info_destroy): remove
	gnome_print_job_close().
	* src/print.c (ghex_print_job_execute): call gnome_print_job_close()
	here!
	* src/gtkhex.c (gtk_hex_update_auto_highlight): moved cur declaration
	to beginning of the block!

2003-10-08  David Hammerton <crazney@crazney.net>

	* Add find high-lighting: Occuranced of a search which are visible
	are now highlighted red. Also added an 'advanced find' dialog
	box to allow for multiple searches at once (with different
	highlighting colours).
	* src/hex-dialog.c: Internationalize conversion dialog strings.
	* src/gtkhex.c: Don't display the char 0x7f in the ascii window,
	to avoid corrupt output.

2003-09-25  Jaka Mocnik  <jaka@gnu.org>

	* applied a patch for the type dialog by David Hammerton. thank
	the guy for some great work!
	* Makefile.am: added new stuff to build.
	* configure.in: bumped version to 2.5.0

2003-09-10  Jaka Mocnik  <jaka@gnu.org>

	* src/Makefile.am: removed redundant -DGHEX_UI_DIR and
	-DGHEX_GLADEDIR CFLAGS!
	* configure.in: bumped version to 2.4.0.1; tag GHEX_2_4_0_1;
	fixes problems with installation of locale files.

2003-09-01  Jaka Mocnik  <jaka@gnu.org>

	* src/ghex-window.c: applied a patch from Kaushal Kumar: Check on
	close if the current file was deleted, and prompt for a save to
	avoid a possible data loss. fixes #119855.
	(ghex_window_save_as): put warning dialog on top. fixes #119707.
	patch by Shakti Sen.

2003-08-18  Stanislav Brabec  <sbrabec@suse.cz>

	* Makefile.am: Added xmldocs.make to EXTRA_DIST (needed for
	autoreconf).

2003-08-12  Jaka Mocnik  <jaka@gnu.org>

	* src/ghex-window.c: applied patch by Shakti Sen to prevent NULL
	filenames.
	* src/main.c: dont crash if a document fails to open because of
	lack of memory.

2003-05-14  Guntupalli Karunakar  <karunakar@freedomink.org>

	* configure.in: Added "ml" to ALL_LINGUAS.

2003-05-28  Danilo Segan <dsegan@gmx.net>

	* configure.in: Added "sr" and "sr@Latn" to ALL_LINGUAS.
	
2003-05-24  Jaka Mocnik  <jaka@gnu.org>

	* src/ui.c: don't retain the previous file name when opening a new
	one. patch by Muktha Narayan.
	
2003-05-15  Jaka Mocnik  <jaka@gnu.org>

	* src/ui.c: pass proper arg to va_end. patch by Miguel Ibarra.

2003-04-30  Irene Ryan <irene.ryan@sun.com>

	* help/C/ghex2.xml: Fixed one technical inaccuracy and included 
     a description of the Revert menu item
	* help/C/ghex2-C.omf: Updated the manual release details
	* help/C/*.png: Removed obsolete graphic files
	* help/C/ghex.xml: Removed obsolete file
	* help/C/*.sgml: Removed obsolete SGML files

2003-04-29  Jaka Mocnik  <jaka@gnu.org>

	* made prefs dialog instant-apply.
	* src/ui.c: don't explicitly call gnome_print_job_close(), since
	it is called in ghex_print_job_info_destroy().

2003-04-14  Mike Lei <mike.lei@sun.com>
	
	* configure.in: Added Makefile support for de es fr it sv ko zh_CN zh_TW
	* added online help for above languages and ja

2003-04-11  Jaka Mocnik  <jaka@gnu.org>

	* src/gtkhex.c: Deactivate selection for keys other then
	Arrows and PgUp/PgDown.	Fixes bug 109397. patch by Rajkumar
	Sivasamy.
	* src/gtkhex.c: draw highlight in secondary view with the color
	for insensitive state. fixes bug 108756.
	* src/chartable.c: fixed keybindings. fixes 107188.
	* src/ghex-window.c (ghex_window_load): set max undo depth only
	if a document was created. patch by Pasupathi Duraisamy.
	* src/main.c (main): only attempt to open a file that exists. patch
	by Pasupathi Duraisamy.
	* tagged as GHEX_2_3_0. tarball released.

2003-03-03  Dmitry G. Mastrukov  <dmitry@taurussoft.org>

	* configure.in: Added Belarusian to ALL_LINGUAS.

2003-02-28  Jaka Mocnik  <jaka@gnu.org>

	* src/chartable.c: fix ESC key press handler bug that hid the treeview
	instead of the window!
	* src/converter.c: hide converter on ESC.

2003-02-25  Shivram U  <shivaram.upadhyayula@wipro.com>

	* src/ghex-window.c (ghex_window_close): If the last view has been 
	destroyed, unref the document.

2003-02-21  Jaka Mocnik  <jaka@gnu.org>

        * The Grand Librarification: to help viv at veeev dot com,
        the GtkHex widget, the HexDocument object and all relevant
        accessibility stuff have been moved into a separate library,
        libgtkhex, that comes bundled together with all the necessary
        includes and a pkgconfig description file.
        * in order to achieve this all config-dependent stuff has been
        moved out of the lib and into the main app. this might have
        resulted in introduction of a score of new bugs as the app itself
        was not  tested at all ;)

2003-02-17  Abel Cheung  <maddog@linux.org.hk>

	* configure.in: Removed "ar" from ALL_LINGUAS.

2003-02-15  Jaka Mocnik  <jaka@gnu.org>

	* src/chartable.c (hide_chartable_cb): sync chartable item.
	* src/converter.c (close_converter): sync converter item.
	* src/print.c (print_header): convert filename to utf8.
	* src/session.c: applied a patch from Pasupathi Duraisamy that
	prompts the user if logout is performed when changed files are
	still open.
	
Mon Feb 10 09:51:23 2003  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* src/findreplace.c (find_next_cb, find_prev_cb, replace_next_cb): 
	made "String was not found\n" translatable (#103610).

2003-01-29  Jaka Mocnik  <jaka@gnu.org>

	* src/gnome-print-font-*: code rip from gedit: dialog and picker
	for print fonts.
	* src/Makefile.am: add above to compilation.
	* src/preferences.c: use the above.
	this patch was submitted by Shivram U.

2003-01-28  Abel Cheung  <maddog@linux.org.hk>

	* configure.in: Added Arabic (ar) to ALL_LINGUAS, fixed
	  libgnomeprint-2.2 requirement

2003-01-20  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* configure.in: Added Azeri (az) file

2003-01-12  Jaka Mocnik  <jaka@gnu.org>

	* help/C/ghex-C.omf, help/ja/ghex-ja.omf: fixed identifier url. patch
	by Artur Flinta.

2003-01-06  Jaka Mocnik  <jaka@gnu.org>

	* applied a patch from frederic crozat that makes ghex use
	libgnomeprintui 2.2 instead of 2.0.
	* configure.in: bumped version to 2.2.0; tagged as GHEX_2_2_0.

2003-01-06  Jaka Mocnik  <jaka@gnu.org>

	* src/ui.c (close_cb): fixed a possible crash.
	* src/gtkhex.c: enabled pasting of primary selection with
	middle mouse button. move cursor properly after cutting or
	pasting data.
	* configure.in: bumped version to 2.0.0; tagged as GHEX_2_0_0;
	branch ghex-2-0.
	* src/preferences.c (set_prefs): set display font.
	* src/access/accessiblegtkhex.c (accessible_gtk_hex_real_initialize): 
	applied patch from padraig o'briain. fixes #101136.

2002-12-23  Jaka Mocnik  <jaka@gnu.org>

	* configure.in: bumped version to 1.99.90; tagged as GHEX_1_99_90.
	* src/gtkhex.c: use colors from widget styles to ensure text
	visibility when using high-contrast, accessible themes. initial
	patch was kinldy provided by Pasupathi Duraisamy of Wipro. thanx!
	* src/gtkhex.h (struct _GtkHexClass): removed colormap and cursor
	color members.

2002-11-24  Jaka Mocnik  <jaka@gnu.org>

	* src/hex-document.c, src/ui.c: applied patch from Hideoshi
	Tajima to convert all filenames to utf8 before being used in
	strings for GTK+ to display.

2002-11-10  Jaka Mocnik  <jaka@gnu.org>

	* src/ghex-window.c (ghex_window_add_doc_to_list): encode strings
	in XML.
	* ghex.spec.in: applied patch from Dan Hensley.
	* src/chartable.c: enable insertion with keyboard.
	
2002-11-09  Jaka Mocnik  <jaka@gnu.org>

	* src/ghex-ui.xml: 'About...' -> 'About'. really fixes #96771.

2002-10-26  Jaka Mocnik  <jaka@gnu.org>

	* configure.in: version 1.99.2. tagged as GHEX_1_99_2.

2002-10-26  Jaka Mocnik  <jaka@gnu.org>

	* src/ghex-window.c (ghex_window_ok_to_close): new function that
	replaces hex_document_ok_to_close() as this is really a window and
	not document issue.
	(ghex_window_save_as): new function that handles saving to a new
	file instead of having this code duplicated all over.
	* src/ui.c (export_html_cb): check for permissions. notify user if
	the selected path is now writable.
	(save_cb): check for write permissions of the file and notify user
	if the file is not writable.
	(save_as_cb): use ghex_window_save_as().
	(close_cb): hex_document_ok_to_close() -> ghex_window_ok_to_close().
	(save_cb, open_cb, export_html_cb): new, cleaner handling of
	file selection.
	* src/ghex-window.c (ghex_window_set_sensitivity): handle
	cut/copy/paste items. also disable find/replace/goto items when
	no document is loaded.
	* src/ui.c (save_cb): test if the document is writable, report an
	error if it is not so!
	* src/hex-document.[ch] (hex_document_is_writable): a function to
	test if the document is writable.
	* src/findreplace.c (replace_all_cb): display info dialog if no
	strings were replaced.

2002-10-26  Muktha  <muktha.narayan@wipro.com>
	
 	* findreplace.c: Added mnemonics for buttons. Fixes bug #96882.

2002-10-25  Jaka Mocnik  <jaka@gnu.org>

	* src/ghex-ui.xml: 'About...' -> 'About'. fixes #96771.
	
2002-10-01  Jaka Mocnik  <jaka@gnu.org>

	* ghex.desktop.in (Exec): added a missing '['.

2002-10-01  Yanko Kaneti <yaneti@declera.com>

	* ghex2.schemas: reorder elements so that it validates.

2002-09-20  Jaka Mocnik  <jaka@gnu.org>

	* applied a patch for japanese .omf file by Frederic Crozat.

2002-09-19  Jaka Mocnik  <jaka@gnu.org>

	* src/ghex-window.c (ghex_window_new): set default width and height.
	* configure.in: require gail >= 0.17.
	* ghex.desktop.in (Exec): add %F to enable passing filenames when
	items are dragged on the launcher.

2002-09-01  Jaka Mocnik  <jaka@gnu.org>
	
	* configure.in: version 1.99.1. tagged as GHEX_1_99_1.
	* src/ghex-window.c (ghex_window_listener): sync "Character Table" and
	"Converter" items in all windows.
	(ghex_window_sync_*_item): sync items in all windows.
	* src/converter.c (create_converter): connect a signal to delete
	event of the window.
	(converter_delete_event_cb): deselect "Converter" item in all
	windows.
	* src/chartable.c (create_char_table): connect a signal to delete
	event of the window.
	(char_table_delete_event_cb): deselect "Character Table" item in all
	windows.
	* src/ui.c (revert_cb): set win->changed to FALSE. fixes #90240.
	(raise_and_focus_widget): use gtk_window_present();

2002-09-01  Jaka Mocnik  <jaka@gnu.org>

	* src/findreplace.c (replace_all_cb): fixed a replace all bug.

2002-08-30  Jaka Mocnik  <jaka@gnu.org>

	* src/gtkhex.c: fixed block marking.
	made clipboard support work.
	* src/ui.c: handlers for cut, copy and paste verbs.
	* src/ghex-ui.xml: commands and menu items for cut/copy/paste.

2002-08-28 Irene Ryan <irene.ryan@sun.com>

	* help/C/ghex2.xml : updated to reflect changes to UI and to fix 
	http://bugzilla.gnome.org/show_bug.cgi?id=91025 
	* help/C/ghex2-C.omf : renamed to reflect XML filename and updated
	with new version number and date info
	* help/C/l10n.txt : new file with screenshot instructions for L10N team
	* help/C/figures/ghex_window_empty.png : new screenshot
	* help/C/figures/ghex_window_opn.png : new screenshot

2002-08-19  Ross Burton  <ross@burtonini.com>

	* ghex.desktop.in: Fix the desktop file so that it validates and
	is sane.

2002-08-12  Aruna P R <aruna.pou@wipro.com>
	
	* src/preferences.c : preference dialog is connected to "delete-event" 
	which hides the dialog when "Esc" is used for closing the dialog. 
	Fix for #90298

2002-07-25  Jaka Mocnik  <jaka@gnu.org>

	* src/ghex-window.c (ghex_window_listener): allow opening dialogs
	even if win->gh == NULL.

2002-07-25  Jaka Mocnik  <jaka@gnu.org>

	* src/ghex.h: added prototype for set_prefs();
	* src/ui.c (prefs_cb): set current values.
	* src/preferences.c: set OK and apply buttons to insensitive.

2002-07-22  Jaka Mocnik  <jaka@gnu.org>

	* src/session.c: add a "geometry" option.
	* src/main.c (main): parse geometry if specified.

2002-07-20  Jaka Mocnik  <jaka@gnu.org>

	* src/Makefile.am (INCLUDES): fixed locale paths.
	* src/hex-document.c (hex_document_export_html): show a progress
	indicator during exporting.
	* src/preferences.c (create_prefs_dialog): slightly fixed layout.
	* src/ghex-window.c, src/ghex-ui.xml, src/ui.c: reorganized ui.
	Files menu has been renamed to Windows and Character table and
	Converter items have also been moved to Windows menu.
	* src/findreplace.c: display a dialog when a string is not found.
	* src/ui.c (display_info_dialog): format a message and display it in
	an info dialog.

2002-07-18  Shivram U  <shivaram.upadhyayula@wipro.com>

	* src/print.c (ghex_print_job_info_new): We dont have to create a new
	GnomePrintMaster here. Its anyway created from the Print Context in
	ui.c (ghex_print).
	* src/print.c (ghex_print_job_execute): Dont close the Print Context.
	Closing the Print Master anyway does that.
	* src/ui.c : Close the Print Master (gnome_print_master_close) before
	preview or print. Fix for bug #85147

2002-07-17  Shivram U  <shivaram.upadhyayula@wipro.com>

	* src/ui.c (close_cb): Remove the document from the Files list on close.
	* src/ghex-window.c (ghex_document_close): Remove the document from the
	Files list if the next view is NULL. Also not doing an unref on the 
	document, if it the last view. Its not needed. Fix for #88013

2002-07-10  Jaka Mocnik  <jaka@gnu.org>

	* src/ui.c (export_html_cb): give GtkHex not GHexWindow as user data
	to ok_button "clicked" signal.
	* src/preferences.c: replaced deprecated GnomePropertyBox with a
	GtkDialog.

2002-07-08  Jaka Mocnik  <jaka@gnu.org>

	* src/config.c (ghex_prefs_notify_cb): update GHex state according to
	changes.
	* src/gtkhex.c: invalidate widget windows properly.

2002-07-07  Jaka Mocnik  <jaka@gnu.org>

	* src/ghex-window.c (ghex_window_load): connect cursor_moved signal
	to report cursor offset.
	display offsets column if desired.
	* src/config.c: removed old, gnome1-related, code.
	* src/ui.c (raise_and_focus_widget): silently return if widget is not
	realized.

2002-06-30  Jaka Mocnik  <jaka@gnu.org>

	* src/ui.c (quit_app_cb): ask to save or cancel if the documents
	were changed.
	* src/ghex-window.c (ghex_window_close): the proper way to get rid of
	a GHexWindow. if this is the last view of a doc and the doc has
	changed, ask user whether to save the changes.
	(ghex_window_load): add/remove new/old document to/from the "Files"
	menu.
	(ghex_window_remove_doc_from_list): remove document name from the
	"Files" menu.
	(ghex_window_add_doc_to_list): add document name to the "Files" menu.
	(ghex_window_new): add all existing document to "Files" menu.
	* src/ui.c (close_cb): kill all views of the closed document.
	* src/hex-document.c (hex_document_finalize): release refs to all
	views.

2002-06-20  Jaka Mocnik  <jaka@gnu.org>

	* src/ui.c (add_view_cb, remove_view_cb): implemented.

2002-06-17  Jaka Mocnik  <jaka@gnu.org>

	* further de-MDI-zation; GHex is now semistable and MDI-less ;)
	* src/bonobo-mdi.*, src/ghex-mdi.[ch]: removed

2002-06-15  Jaka Mocnik  <jaka@gnu.org>

	* src/ghex-window.[ch]: a BonoboWindow descendant, hosting
	at most one GtkHex widget.
	* src/hex-document.[ch]: de-MDI-zing.
	* src/ui.c: likewise. use GHexWindow for displaying a single view.
	* src/main.c: likewise. use (GHexWindow)* instead of MDI.

2002-06-12 Pasupathi Duraisamy <pasupathi.duraisamy@wipro.com>

	* src/findreplace.c: Fixes #84988
 
2002-06-08  Yanko Kaneti <yaneti@declera.com>

	* configure.in: (ALL_LINGUAS) Added Bulgarian (bg).

2002-05-29  Satyajit Kanungo  <satyajit.kanungo@wipro.com>

	Reviewed by Shivram U  <shivaram.upadhyayula@wipro.com>

	* src/ui.c, src/preferences.c : Added error handling for help.
	* help/C/Makefile.am: Changed docname to ghex2.
	* Added ghex2.xml in help/C/

2002-05-22  Shivram U  <shivaram.upadhyayula@wipro.com>

	* src/hex-document.h: Added a new member 'gboolean insert' for struct
	HexChangeData.
	* src/hex-document.c (hex_document_set_byte), (hex_document_set_nibble),
	(hex_document_redo) Fix for bug #76209

2002-05-17  Muktha  <muktha.narayan@wipro.com>

	* src/gtkhex.c: Enable selection through keyboard.

2002-05-13  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* configure.in: Added Vietnamese (vi) file

2002-05-11  Jaka Mocnik  <jaka@gnu.org>
 	* Accessibility changes by Muktha  <muktha.narayan@wipro.com>
 	Files changed : configure.in src/Makefile.am main.c
 			gtkhex.h gtkhex.c findreplace.c converter.c
 			preferences.c chartable.c
 	New files : factory.h factory.c accessiblegtkhexfactory.h
 		    accessiblegtkhexfactory.c accessiblegtkhex.h
 		    accessiblegtkhex.c 			

2002-05-08  Sander Vesik  <sander.vesik@sun.com>

	* New, xml based help docs for C locale

2002-05-03  Shivram U  <shivaram.upadhyayula@wipro.com>

	* src/preference.c : Enabled "Help" button in the preferences dialog.
	On clicking the "Help" button the main help page for Ghex will be
	displayed. This has to be fixed to display the preferences section in
	the Help. Partial fix for #71456.

2002-04-29  Shivram U  <shivaram.upadhyayula@wipro.com>

	* src/gtkhex.c (get_max_char_width): Only displayable characters are
	used for calculating max char width. Fixes the pango warnings 
	generated when opening a file (Bug #76294)

2002-04-29  Shivram U  <shivaram.upadhyayula@wipro.com>

	* src/ui.c, src/converter.c: Fixed problem with disabling and enabling
	"Get cursor value" button while closing and opening files.	

2002-04-26  Shivram U  <shivaram.upadhyayula@wipro.com>

	* src/ghex-ui.xml: Fixed Help menu as per usability issues mentioned
	in #79251.
	* src/main.c: Fixed the name of the program passed in gnome_program_init
	It was "ghex" in the help patch. Changed to "ghex2" as the executable
	name is "ghex2". This was eariler causing a problem for restoring a 
	session.
	* help/(lang)/Makefile.am: Renamed app to ghex2. Added ghex2.sgml files

2002-04-24  Satyajit K  <satyajit.kanungo@wipro.com>

	Reviewed by Shivram U  <shivaram.upadhyayula@wipro.com>

	* src/Makefile.am, src/ghex-ui.xml, src/main.c, src/ui.c
		Added Help functionality. Fixes #79158

2002-04-24  Shivram U  <shivaram.upadhyayula@wipro.com>

	* src/bonobo-mdi.c: Before setting the status message, if the message
	passed is not space " " then we first set the status bar message as
	a space " ". Required to clear the status bar first.
	* src/chartable.c: Added close button for the chartable window.
	* Fixed usablility issues as mentioned in Bug #79251 and #79253.
	
2002-04-23  Shivram U  <shivaram.upadhyayula@wipro.com>

	* configure.in: Replace AC_PROG_LIBTOOL with AM_PROG_LIBTOOL
	* src/chartable.c: Converted GtkCList to GtkTreeView.

2002-04-14  Abel Cheung  <maddog@linux.org.hk>

	* Makefile.am: Include ghex.desktop.in in EXTRA_DIST, not ghex.desktop
	* configure.in: AC_INIT use ghex.desktop.in instead.
	* ghex.desktop: Removed.

2002-04-09  Hasbullah Bin Pit <sebol@ikhlas.com>

	* configure.in: Added 'ms' to ALL_LINGUAS.
	* po/ms.po: Updated Malay Translation.

2002-03-27  Jaka Mocnik  <jaka@gnu.org>

	* src/ui.c (about_cb): applied a patch from Yogeesh MB to reenable
	the about dialog. added Shivram to authors.
	* src/converter.c (set_values): take grouping into account.
	* src/ghex-mdi.c (ghex_mdi_drag_data_received_handler): made DnD work.

2002-03-26  Shivram U  <shivaram.upadhyayula@wipro.com>

	* src/main.c: Setting the default icon with the absolute path to the
	pixmap file.
	* src/Makefile.am: Changes related to the above.

2002-03-18  Jaka Mocnik  <jaka@gnu.org>

	* src/chartable.c: only show chars < 0x7f.
	* src/ghex-mdi.[ch]: set state of insert toggle item and group type
	radio items when view changes.
	* src/hex-document-ui.c: removed some obsolete code.
	* src/bonobo-mdi.c: removed some obsolete code.
	attempt to enable dragging of notebook pages to new top level windows.
	still crashes some but this needs fixing!
	* src/gtkhex.c (is_displayable): make it stricter as the previous
	incarnation caused trouble to pango.

2002-03-10  Shivram U  <shivaram.upadhyayula@wipro.com>

	* configure.in: Added gettext changes.
	* src/main.c : (main) Added locale changes.
	* src/print.c, src/ui.c : Completed the print functionality changes.
	* src/preferences.c : (apply_changes_cb) Reverting back to the old
	functionality. Changes to group type does not update the views
 
2002-03-08  Laszlo Peter  <laca@ireland.sun.com>

	* configure.in: check for popt, define POPT_LIBS
	* src/Makefile.am: link to POPT_LIBS

2002-03-06  Shivram U  <shivaram.upadhyayula@wipro.com>
	* Makefile.am : Added desktop rule to install the ghex.desktop file
	and the gnome-ghex.png icon.
	* Added ghex.desktop.in file to the repository.
	* src/print.c, src/ui.c : print functionality changes.

2002-03-05  Shivram U  <shivaram.upadhyayula@wipro.com>
	* src/preferences.c : Fix for #71467 and #71468.
	* src/print.c : Enabled print preview functionality.
	* src/ui.c : Changed the data_font_name and header_font_name to be the
	the full font name and size. Also updated ghex2.schemas file.

2002-03-05  Shivram U  <shivaram.upadhyayula@wipro.com>
	* src/bonobo-mdi.c : (bonobo_mdi_show_status) Now using 
	bonobo_ui_component_set_status() to set the status.
	(bonobo_mdi_flash), (remove_message_timeout) Using 
	bonobo_mdi_show_status to flash the message.
	* src/gtkhex.c : (gtk_hex_finalize) fixed wrong unref of GObjects.

2002-03-04  Shivram U  <shivaram.upadhyayula@wipro.com>
	* enabled the print functionality.
	* changed from using GdkFont to PangoFont.
 
2002-03-01  Santhana krishnan  <santhana.krishnan@wipro.com>

       * applied a patch to fix problems on undo operatoins.
       * patch for the bug 71464 ( src/hex-document.c:319 )

2002-03-01  Shivram U  <shivaram.upadhyayula@wipro.com>
	* configure.in : Added checks for gconftool-2
	* Makefile.am : Now installing the schema file in the gconf/schemas
	directory. Fixes #(73040)

2002-02-28  Shivram U  <shivaram.upadhyayula@wipro.com>

	* src/hex-document.c : (hex_document_class_init) Overriding 
	bonobo_mdi_child class's get_config_string() virtual function.
	Needed for session management.
	
	* src/main.c : (main) Setting the default window icon.
	Removed unnecessary code in the main function

2002-02-06  Jaka Mocnik  <jaka@gnu.org>

	* migrated most of the ui_engine stuff to use ui_component.
	* made Group items radio items.
	* made Insert Mode a toggle item.
	* added listener for both of the above.
	* removed a bunch of warnings.

2002-02-06  jacob berkman  <jacob@ximian.com>

	* src/Makefile.am (ghex2_SOURCES): add some missing sources

	* configure.in (AC_OUTPUT): remove omf-install/Makefile for now

2002-02-05  Jaka Mocnik  <jaka@gnu.org>

	* imported GNOME2 port by the kind people at wipro.
	
2001-11-13  Jaka Mocnik  <jaka@gnu.org>

	* src/gtkhex.c: added block marking and clipboard handling.
	* src/print.c: fixed to work with gnome-print >= 0.32.
	* configure.in: check for GnomePrint >= 0.32.

2001-09-08  Wang Jian  <lark@linux.net.cn>

	* configure.in(ALL_LINGUAS): Renamed zh_CN.GB2312 to zh_CN.

2001-08-31  Abel Cheung  <maddog@linux.org.hk>

	* configure.in (ALL_LINGUAS): zh_TW.Big5 -> zh_TW

2001-08-10  Jaka Mocnik  <jaka@gnu.org>

	* applied a patch to fix problems on ppc platform.

2001-08-10  Jaka Mocnik  <jaka@gnu.org>

	* ghex.spec.in: updated. patch by Ludovic Danigo
	<ludovic.danigo@worldonline.fr>.

2001-07-15  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Added "nn" to ALL_LINGUAS.
	
2001-05-03 John Fleck <jfleck@inkstain.net>

	* patch to src/preferences.c to activate the help button on the
	preferences dialog. fixes bugzilla.gnome.org bug #54073

2001-05-03  Jaka Mocnik  <jaka@gnu.org>

	* src/gtkhex.c: applied a patch for font width handling.

2001-04-15  Nathan Cullen <furyu@fuse.net>

	* src/ghex.h broke up print_document into smaller functions
	(print_document): deleted declaration
	(ghex_print_job_info_new): added delcaration
	(ghex_print_job_info_destroy): added declaration
	(ghex_print_job_execute): added declaration
	(GHexPrintJobInfo): added printing range, preview flag, printer
	* src/print.c refactored print_document, merged changes with AleX's
	patch.
	(preview_destroy_cb): deleted, functionality moved to ui.c
	(print_document): deleted, refactored
	(start_job): delted empty function
	(end_job): delted empty function
	(print_header): replaced spaces with tabs
	(ghex_print_job_info_new): creates a new GHexPrintJobInfo object
	(ghex_print_job_info_destroy): deallocates a GHexPrintJobInfo object
	(ghex_print_job_execute): executes the job described by a GHexPrintJob
	Info object
	* src/ui.c added print range and preview button to print dialog
	(print_dialog_clicked_cb): deleted, functionality in
	ghex_print_run_dialog
	(print_cb): modified to call ghex_print
	(print_preview_cb): modified to call ghex_print
	(ghex_print): added function. prints or previews current document
	(ghex_print_run_dialog): added function.  runs the print dialog with
	a new preview button and a print range
	(ghex_print_preview_real): added function.  previews a print job

2001-04-14  Jaka Mocnik  <jaka@gnu.org>

	* src/gtkhex.c (scroll_timeout_handler): return TRUE.
	(*_motion_cb): simplify scrolling logic.
	(display_scrolled): removed hide_cursor()/show_cursor() pair.
	this should fix scrolling bugs.

2001-04-14  AleX Espinoza  <cured@yahoo.com>
 
 	* src/print.c (print_verify_fonts): Added to verify that the fonts
	are available for printing.
	
2001-04-12  Chema Celorio  <chema@celorio.com>

	* src/converter.c (set_values): remove leading 0's
	from the entries
	(clean): implement.
	(filter_editable): add a filter to the entries so that
	we don't have to relly on the user typing a valid number.
	We should not get ERROR in the entries no
	(is_char_ok): implement
	(key_press_event_cb): implement. We can now acces the menus
	that have accelerartors with hex letters A-F. "File" menu
	is now accelerated
	(my_entry): implement to create the conversion entries
	(my_button): implement
	* src/converter.c: remove a compile warning by casting val to
	unsigned int
	* src/ui.c: mark the "_T" for the Tools menu so that we can use the
	accelerator
	mark the _H in Export to _HTML 
	ditto for "Print pre_view"
	Character _Table
	* src/gtkhex.c (gtk_hex_key_press): don't handle the A-F keys
	if the MOD1_MASK flag is set, the user wants to get to a menu

2001-03-22  Jaka Mocnik  <jaka@gnu.org>

	* src/gtkhex.c: changed one more free() to g_free().
	* src/hex-document.c: changed strdup() to g_strdup().

2001-03-18  Jaka Mocnik  <jaka@gnu.org>

	* src/converter.c: add octal conversion.
	* src/preferences.c (apply_changes_cb): accept format specifiers
	'x', 'X', 'o', 'd', 'p' and 'P'.
	* changed all sprintf()s to g_snprintf()s.

2001-03-08  Jaka Mocnik  <jaka@gnu.org>

	* src/gtkhex.c (render_?c): fixed a strange bug that caused ghex to
	segfault when sl locale was set because gh->?disp_gc was NULL.
	* removed translated help from distribution.
	* bumped version to 1.2 and made a new tarball for GNOME 1.4.

2001-03-05  Jaka Mocnik  <jaka@gnu.org>

	* src/main.c (view_changed_cb): fixed a bug that caused slovene
	translation (and probably some other) to segfault as nouns change
	their form according to context and the previous code was using
	a translation from prefs dialog that differed from the one in menus.
	* src/chartable.c (create_char_table): translate titles.

2001-03-03 John Fleck <jfleck@inkstain.net>

	adding COPYING-DOCS

2001-03-03 John Fleck <jfleck@inkstain.net>

	* omf-install/Makefile.am - change the destination directory for the 
	omf files

2001-03-01 John Fleck <jfleck@inkstian.net>

	* htmldocs.make (template for making html docs directories)
	help/es/ghex-es.omf
	help/ja/ghex-ja.omf
	help/sv/ghex-sv.omf
	update appropriate makefiles, finishing ScrollKeeper support

2001-02-28 John Fleck <jfleck@inkstain.net>

	* add omf-install/Makefile.am
	app-docs.make
	help/C/ghex-C.omf

	app-docs.make is a standard template for docs makefiles, which is
	called from within help/C/Makefile.am. It includes
	ScrollKeeper/omf support

	help/C/ghex-C.omf is the omf file, which holds metadata about
	C/ghex.sgml needed by ScrollKeeper to build a library of docs

	omf-install is a directory used by ScrollKeeper/omf in the build
	process.

	Also, updated help/C/Makefile.am, Makefile.am and configure.in to
	handle all the new stuff.

2001-02-23  Jaka Mocnik  <jaka@gnu.org>

	* src/ui.c (export_html_selected_file, save_selected_file): destroy
	and NULLify file_sel. fixes bug #51269.
	made most dialogs modal.

2001-02-20  Jaka Mocnik  <jaka@gnu.org>

	* src/gtkhex.c (gtk_hex_size_request): take offset column into
	account in order to make place for 16 bytes in a row.

2001-02-19  Jaka Mocnik  <jaka@gnu.org>

	* src/ui.c: changed my email and added 2001 to about dialog.

2001-02-15  Jaka Mocnik  <jaka@gnu.org>

	* po/sl.po: added missing slovene translations.
	* po/fr.po: fixed french translations as suggested by
	lorna.whelan@ireland.sun.com (fixes bugs #50910 and #50908).

2001-02-04 John Fleck <jfleck@inkstain.net>

	* converted English help docs to sgml, added screenshots
	(help/C/), updated Makefile.am to handle new kit

2001-01-26  Fatih Demir	<kabalak@gmx.net>

	* configure.in: Added tr to ALL_LINGUAS.

2000-12-13  Stanislav Visnovsky <visnovsky@nenya.ms.mff.cuni.cz>

	* configure.in (ALL_LINGUAS): added sk

2000-10-22  John Gotts  <jgotts@linuxsavvy.com>

	* New spec file.  Enjoy!

2000-10-21  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* some fixes for use with libgnomeprint 0.24. bumped version
	to 1.1.4 and released a new tarball.
	
2000-09-15 Yukihiro Nakai <nakai@gnome.gr.jp>

	* Add ja to help/Makefile.am 
	* Add help/ja/Makefile to configure.in

2000-07-01  Yukihiro Nakai <nakai@gnome.gr.jp>

	* configure.in: Add help/ja/Makefile to AC_OUTPUT

2000-06-30  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* src/gtkhex.c: applied a patch from 
        Gavin Scott <gavindscott@yahoo.com>, fixing a few segfaults with
	narrow windows.

2000-05-15  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* ghex.spec: added a spec file from John Gotts
	<jgotts@linuxsavvy.com>.

2000-05-09  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* configure.in: bumped version to 1.1.3. released a new tarball
	to go with GNOME 1.1.90.
	* src/main.c (main): #if 0ed out the icons setting call.
	* src/gtkhex.c (render_ac, render_xc): use proper fonts.

2000-05-08  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* src/preferences.c (create_prefs_dialog): change font selection
	to a button with font name that brings up a font selection dialog.
	add possibility to select a separate font for the header.
	(get_font_label): create a label for the font button.
	(font_button_clicked): run a modal font selection dialog.
	* src/config.c: load & save the header font settings.
	* src/print.c (print_header): print with a special font.
	* src/ghex.h (struct _GHexPrintJobInfo): added d_font and h_font
	members.
	* po/*.po: made an update-po.
	* po/sl.po: updated.
	* po/ghex.pot: updated.
	* help/C/index.html: updated.

2000-05-08  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* src/main.c: set the default window icon.
	* src/preferences.c (create_prefs_dialog): add a font selector
	for printing.
	(set_prefs): set the printing font to the font selection.
	(apply_changes_cb): set the printing font.
	* src/config.c (load_configuration): load printing font settings.
	(save_configuration): save printing font settings.
	* src/print.c (print_document): get font width and height from the
	selected printing font (we pressume the user chose a monospaced
	font so we measure the width of the space character).
	(print_header): don't use a separate font for header. perhaps once
	when somebody implements its configuration as well.
	* src/ghex.h: added declarations of new setting variables.
	* ghex.desktop: Added Slovene entry.

2000-05-01  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* src/findreplace.c (goto_byte_cb): can now handle offsets
	in hex.

2000-04-12  Pablo Saratxaga <pablo@mandrakesoft.com>

	* configure.in (ALL_LINGUAS): added nl & ro

2000-04-08  Jesus Bravo Alvarez  <jba@pobox.com>

	* ghex.desktop: Added Galician entry.
	* configure.in (ALL_LINGUAS): Added Galician (gl)

2000-04-07  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* gtkhex.c (gtk_hex_key_press): added moving by pages when pressing
	PageUp and PageDown.
	(*_expose): change MAX() to MIN(). silly me. this fixes
	ugly flickering when scrolling upwards.

2000-04-07  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* configure.in: bumped version to 1.1.2. released a new tarball.

2000-04-02  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* src/print.c: gified some ints and floats; formatting changes;
	made shaded box size user-configurable.
	* src/preferences.c (create_prefs_dialog): UI for setting shaded box
	size.
	(box_size_changed_cb): new callback for setting propertybox to
	"changed" state after modifying shaded box size.
	* src/ghex.h (struct _PropertyUI): added members for above.
	(shaded_box_size): declare.
	* config.c (load_configuration, save_configuration): save settings
	for shaded box printing.
	* po/*.po: made an update-po.

2000-03-27  Chema Celorio  <chema@celorio.com>

	* src/print.c : Format improvement for
	small horizontal chars displays.
	(print_shaded_boxes): new funtion
	(print_shaded_box): new function
	(print_document): call print_shaded_boxes after
	calling print_header.

2000-03-26  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* src/ghex.h (struct _PreviewWindow): removed.
	(GHexPrintJobInfo): added master member.
	* src/print.c (preview_*_cb): removed.
	(preview_destroy_cb): clean up printing stuff after previewing.
	(print_document): use GnomePrintMaster for printing and
	GnomePrintMasterPreview for previewing. didn't notice them before :(

2000-03-26  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* src/ghex.h: moved GhexPrintJobInfo here and renamed it to
	GHexPrintJobInfo.
	(struct _PreviewWindow): a structure with everything necessary
	for the print preview window.
	* src/ui.c: added 'Print preview...' menu item and its callback.
	* src/print.c (create_preview_window): do just that ;)
	(print_document): improved to create a preview print context if
	the printer argument passed is NULL.
	(preview_*_cb): callbacks for navigation, zoom buttons and closing
	of preview window.
	(preview_close): clean up.
	* applied another small patch from Chema <chema@celorio.com>.

2000-03-25  Chema Celorio  <chema@celorio.com>

	* src/ui.c (about_cb): fixed small typo.

2000-03-25  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* src/preferences.c (create_prefs_dialog): add another notebook
	page for "Printing" and put a paper selector in there.
	(apply_changes_cb): apply selected paper type.
	(set_prefs): set preferred paper type.
	* src/ghex.h (def_paper): new global var, preferred paper type.
	* src/config.c (load_configuration, save_configuration): load/save
	preferred paper type.
	* src/print.c: use ps points instead of inches for all values.
	(print_document): get paper size from def_paper.
	
2000-03-25  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* configure.in: added check for GnomePrint.
	* src/Makefile.am (INCLUDE): added GNOME_PRINT_CFLAGS.
	(ghex_LDADD): added GNOME_PRINT_LIBS.
	(ghex_SOURCES): added print.c.
	* src/print.c: new file, adds printing capabilities. courtesy of
	Chema Chelorio <chema@celorio.com>.
	* src/ui.c (about_cb): added Chema to authors.
	(print_cb): callback for print menu item.
	(print_dialog_clicked_cb): callback for click on print dialog buttons.
	* src/gtkhex.c: did a s/is_printable/is_displayable/.
	* po/POTFILES.in: added src/print.c.
	* po/*.po: made an update-po.

2000-03-23  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* configure.in: added sl to ALL_LINGUAS.

2000-03-19  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* preferences.c (create_prefs_dialog): set close_hides; don't connect
	a callback to the destroy signal.
	(prop_destroyed_cb): removed.
	* ui.c (delete_event_cb): hide the widget on which the event occured
	not the one passed as user data.
	* *.c: adapt use of delete_event_cb to above.
	* ui.c, hex-document-ui.c: set default dialog buttons.
	* released version 1.1.1.

2000-03-16  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* gtkhex.c (gtk_hex_key_press): added support for backspace
	and delete.
	* hex-document.c (hex_document_undo): fixed a bug that caused it
	to crash when undoing removal of data.
	* released version 1.1.0.
	
2000-03-15  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* chartable.c (select_chartable_row_cb): new function;  set byte under
	cursor of currently active view to the selected character value on
	double click.
	* hex-document.c: added prototypes for static functions.
	(get_document_attributes): new function. currently only updates file
	size.
	(hex_document_new, hex_document_read): use get_document_attributes().
	* gtkhex.c (gtk_hex_real_data_changed): fixed scrollbar updating,
	insertion at the end of file and rendering of bytes.
	* ui.c (save_selected_file): mark document as unchanged.
	* help/C/index.html: updated.

2000-03-12  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* gtkhex.[ch] (gtk_hex_set_insert_mode): new public function.
	* hex-document-ui.c: added a menu item to select insert mode for the
	current view.
	* main.c (view_changed_cb): update state of the insert mode toggle
	item.
	* ghex.h: #define a path for the "Insert mode" menu item.
	
2000-03-11  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* hex-document-ui.c: put all the UI related stuff for HexDocument
	here.
	* hex-document.[ch]: major rewrite in order to allow for insertion
	of data. currently GHex allows only for insertion which is probably
	still buggy.
	* gtkhex.[ch]: only use accessor functions for setting/getting
	hex data to/from HexDocument in order to make the changes to
	HexDocument transparent to GtkHex widget.
	* findreplace.c: allow for replacing strings of different lengths.
	* Makefile.am: add hex-document-ui.c to sources list.

2000-03-04  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* Makefile.am: add chartable.c to sources list. I tend to forget
	commiting Makefiles...

2000-02-25  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* preferences.c (apply_changes_cb): check offset format string for
	format specifiers other than x, d or o. this prevents someone from
	crashing ghex with a format of %s.
	(create_prefs_dialog): connect properties_modified_cb() to "changed"
	signal of pui->format instead of "activate".
	* ui.c: added "Tools" menu and moved "Converter" there and added
	"Character table" to it. added "Export to HTML" item to "File" menu.
	* chartable.c: new file. implements a window with a character table.
	* gtkhex.c (gtk_hex_size_request): fixed. there was some really
	idiotic code here.
	added some sanity checks.
	* hex-document.[ch] (hex_document_destroy): becomes hex_document_finalize.
	(hex_document_get_byte): new convenience function.
	(hex_document_export_html): new function.
	* changed behavior of dialogs: create them only once (upon first
	invocation) and subsequently hide/show them.
	* main.c (child_changed_cb): set sensitivity of saving and exporting
	menu items.
	* removed loads of useless artifacts all over the code.
	* help/C/index.html: updated.

1999-12-19  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* fixed some compiler warnings.

1999-11-28  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* ghex.h: changed GROUP_MENU_PATH as libgnomeui does translating
	on the fly.
	* main.c (view_changed_cb): comply to the above.
	* gtkhex.c (render_byte, render_ac): properly show a dot if a
	non-printable char is to be rendered.
	(render_ac, render_xc): use GTK_STATE_NORMAL and GTK_SHADOW_IN for
	the non-active view's cursor.

1999-09-05  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* help/sv/*, help/Makefile.am: added Swedish translation of
	the docs.

1999-07-28  Zbigniew Chyla  <chyla@alice.ci.pwr.wroc.pl>

	* main.c : Use g_strdup_printf instead of g_strconcat for
	translatable strings (makes it easier to translate).

1999-06-28  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* help/C/index.html: describe the Get cursor value button in
	conversion dialog.

1999-06-24  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* gtkhex.c (gtk_hex_size_allocate, recalc_displays): added
	some sanity checks for widths and heights.
	
1999-06-20  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* gtkhex.c: major rewrite of the gc handling code. added some
	sanity checks.

1999-06-20  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* preferences.c, config.c, ghex.h: make showing the offset column
	configurable.
	* main.c, hex-document.c: respect offset column configuration when
	adding new views.
	* help/C/index.html: bring up to date.

1999-06-20  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* gtkhex.[ch]: added option to show offset of each line in
	a column on the left. complete rework of the cursor stuff.
	* hex-document.c: enable offsets. should be made configurable
	someday.

1999-06-19  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* converter.c: added a button to fetch the value under the
	cursor into converter.
	* gtkhex.c (gtk_hex_set_group_type): hide & show cursor.

1999-04-28  Ettore Perazzoli  <ettore@comm2000.it>

	* ghex.desktop: Added Italian translation.

1999-03-31  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* hex-document.c (hex_document_write): set changed to FALSE.
	
1999-03-25  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

        * gtkhex.c (gtk_hex_real_data_changed): don't bother to redraw
	anything if the area changed is not visible.
	* help/C/index.html: make it consistent with the application ;)

1999-03-24  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* preferences.c, main.c, config.c: add ability to use a custom
	format string for offset display.

1999-03-22  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* hex-document.c (find_string_backward): fixed it a bit to
	prevent occasional segfaults, since a guint can't really be
	less than 0.
	* findreplace.c (find_prev_cb): start searching at gh->cursor_pos
	instead of gh->cursor_pos-1 to comply with the above changes.

1999-03-10  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* main.c (add_view_cb, cursor_moved_cb): new functions to
	display the cursor offset in the statusbar.
	(main): connect add_view_cb to MDI add_view signal.
	* ghex.h: declare offset_base.
	* preferences.c: add an option menu for selecting the base
	for cursor offset displaying (hex or decimal).
	* config.c: load and save offset base prefs.
	
1999-02-21  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* hex-document.c (hex_document_new): leave freeing stuff to
	destroy handler. thanx to Pavel Machek for reporting this.
	
1999-02-20  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* hex-document.c (hex_document_new): only create a new document
	if the file is a regular one (S_ISREG == 1).
	* gtkhex.c (recalc_displays, gtk_hex_size_request): use our own
	requisition instead of scrollbar's one for determining the size
	requested by the scrollbar in order to prevent GTK warnings.

1999-02-07  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* main.c (customize_app_cb, app_drop_cb): added DnD support to open
	files dragged to ghex.

1999-02-06  Changwoo Ryu  <cwryu@adam.kaist.ac.kr>

	* ghex.desktop: Added Korean translations.

1999-01-28  Miguel de Icaza  <miguel@nuclecu.unam.mx>

	* main.c: Do not crash if we dont find the translation.

	* ghex.h (GROUP_MENU_PATH): Sync the string to the actual item we
	have on the menu. 

1999-01-27  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* callbacks.[ch]: removed. contents moved to the following files:
	* preferences.c: put all the prefs stuff here.
	* findreplace.c: find/replace and goto code.
	* converter.c: conversion dialog code.
	* main.c: put MDI signal handlers here.
	* ui.c: only global menus and ui utility functions
	remain here.
	* gnome-support.c: becomes session.c.
	* gnome-support.h: removed. contents moved to ghex.h.
	
1999-01-23  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* ghex.h, config.c (guint max_undo_depth): global max undo depth
	for edited files.
	* ui.c (open_prefs_dialog): added max_undo_depth setting to
	preferences dialog.
	* callbacks.[ch] (max_undo_changed_cb): called when the prefs
	settings changes.
	(apply_changes_cb): apply changes to max_undo_depth. also don't
	reset mdi_mode if it hasn't changed.
	* hex-document.[ch] (hex_document_set_max_undo): new public
	function for setting the undo_max member.
	(hex_document_init): set undo_max member to max_undo_depth.
	* config.c (load_configuration, save_configuration): save
	max_undo_depth setting.

1999-01-20  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* ui.c: removed view_menu from global menus.
	* hex-document.c: added view_menu to child menus.
	* callbacks.[ch] (add_view_cb, remove_view_cb): moved to
	hex-document.c.
	* help/C/index.html: describe undo/redo.
	
1999-01-20  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* gtkhex.c (is_printable): fix a casting problem.
	* hex-document.c: removed GNOME_ENABLE_DEBUG.
	
1999-01-19  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* gtkhex.c (gtk_hex_key_press): return FALSE if we don't handle
	the key press event. this is the Right Behaviour, I guess.
	* hex-document.h: new member undo_top pointing to the stack
	top (contains data for the next UNDO and its predecessor (if
	it exists) contains data for the next REDO.
	* hex-document.c: implemented redo capabilities. actions that
	have been undone can be redone as long as no new changes are
	entered. as soon as something changes we forget the undone
	actions (part of stack between undo_stack and undo_top) and
	start pushing new undo data on top of undo_top.
	* callbacks.c (view_changed_cb): take care of the redo item's
	sensitivity.

1999-01-15  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* hex-document.h (struct _HexChangeData): extended to hold all
	info necessary for undo implementation.
	(struct _HexDocument): new undo_stack, undo_depth, undo_max members.
	added a gboolean parameter to document_changed signal to let the
	handler know whether undo data should be saved.
	* hex_document.c (undo_stack_*): new functions for pushing/popping
	undo data on/from undo stack and for freeing it.
	(hex_document_real_changed): if desired, push undo data on stack.
	(undo_cb): a menuitem callback to undo the last action.
	(hex_document_set_nibble): new public function.
	* gtkhex.c (gtk_hex_key_press): use hex_document_set_nibble().
	(gtk_hex_data_changed): removed.
	* callbacks.c (view_changed_cb): set sensitivity of undo item
	depending of emptiness of the undo stack.
	* callbacks.h (struct _ReplaceCBData): removed.
	made prototypes nicer.

1999-01-12  Christopher Blizzard  <blizzard@appliedtheory.com>

	* callbacks.c: free up pointer after use.

	* ghex.h (GROUP_MENU_PATH): use g_strconcat() in macro, not
 	alloca() function.

Fri Jan 08 16:21:13 1999  George Lebl  <jirka@5z.com>

	* ghex.h,callbacks.h: concatenate all the strings for the path to
	  make translating easier and to avoid translating conflicts with
	  Edit

Fri Jan 08 00:33:28 1999  George Lebl  <jirka@5z.com>

	* ui.c: fixup menus to the latest menu standards

Wed Jan 06 22:53:20 1999  George Lebl  <jirka@5z.com>

	* ui.c,main.c,callback.c,hex-document.c,ghex.h: standardized menus
	  with the new gnome-app-helper macros

1999-01-07  Carsten Schaar  <nhadcasc@fs-maphy.uni-hannover.de>

	* gnome-support.c: Removed the saved boolean value.

	* main.c (main): Uses the new client flags to decide, whether to
 	restore a session or not.

1999-01-01  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* main.c (main): open a toplevel window if session restoration
	fails.
	
1998-12-31  Miguel de Icaza  <miguel@nuclecu.unam.mx>

	* gnome-support.h: Do not include getopt.h
	* main.c: ditto

1998-12-30  Carsten Schaar  <nhadcasc@fs-maphy.uni-hannover.de>

	* main.c (main): Added master client's connection to 'die' signal.
	Changed how saved sessions are restored.

	* gnome-support.h: Removed unused declarations.

	* gnome-support.c: Removed unused stuff.  Uses 'rm' to discard
 	session information.
	(client_die): New function.


1998-12-26  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* gtkhex.c (gtk_hex_destroy): make it gtk_hex_finalize().
	* *.c: minor bugfixes, change menu paths since accellabel
	behaviour has reverted, etc.
	
1998-12-23  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* ghex.h: #define all menu paths used in code.
	* main.c (main): use #defines for menu paths.
	* callbacks.c (view_changed_cb): use #define for menu path.

1998-12-19  Herbert Valerio Riedel  <hvr@hvrlab.ml.org>

	* ui.c: (gpointer) -> GINT_TO_POINTER()

1998-12-17  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* ui.c, ghex.h (create_dialog_title): combines a format string
	and active document's name and sets them as title to
	a dialog window.
	* callbacks.[ch] (child_changed_cb) new callback, updates
	dialog titles as active document changes.
	* main.c (main): connect child_changed_cb to child_changed
	signal.
	
1998-12-17  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* callbacks.c (view_changed_cb): add accelerator labels
 	to menu paths. also fix group type item activation code
	to work in a cleaner way and respect possible tear off
	item.
	* main.c (main): add accelerator labels to menu paths.
	* gtkhex.[ch]: small fixes.
	
1998-12-13  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* main.c, hex_document.c: fixed some cast warnings.
	* gtkhex.c: fixed size_allocate and size_request handlers.
	fixed positioning of hex and ascii view and display size
	recalculation.
	
1998-12-10  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* callbacks.c (about_destroy_cb): new callback. sets
	a pointer to the about dialog to NULL on its destruction.
	(about_cb): if the about dialog is already open, raise it
	instead of opening a new one.

1998-12-10  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* main.c (main): fix arg parsing code. it actually works now.
	* ui.c, ghex.h (report_error, show_message): removed.
	* callbacks.c (customize_app_cb): use gnome-appbar instead of
	gtkstatusbar.
	also converted all report_error()s to gnome_app_error()s and
	show_message()s to gnome_app_flash()es.
	* config.c (load_configuration): removed error report about
	not being able to load the font, as we might have no windows
	at the time this is called.
	
1998-12-08  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* ui.c, hex-document.c: add hint strings to menu descriptions.
	* callbacks.c (customize_app_cb): new function that inserts
	a statusbar and installs menu hints.
	(view_changed_cb): install hints for child's menus.
	* main.c: connect customize_app_cb to app_created signal.
	
1998-12-04  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* main.c (main): fixed initial toplevel window opening so
	that it works nice with session managment.

1998-12-03  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* gtkhex.c ([ascii|hex]_[button|motion]_cb): fixed some
	scrolling bugs.

1998-11-26  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* main.c (main): comply to the latest changes to GnomeMDI API.
	* gtkhex.c (gtk_hex_realize): new realize signal handler for
	GtkHex: only sets the backing pixmap properly
	(gtk_hex_draw): fixed shadow redrawing.
	
1998-11-09  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* gtkhex.c (render_ascii_lines): fixed a bug that used adisp_gc
	instead of xdisp_gc.
	
1998-10-29  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>
 	
	* gtkhex.c: some cosmetic fixes; changed the way signals
	are connected to a GtkHex widget
	* main.c, hex-document.c: cosmetics.
	
1998-10-29  Jens Lautenbacher  <jens@tellux.de>

	* ui.c: visual clean-up

1998-10-29  Jens Lautenbacher  <jens@tellux.de>

	* ui.c (create_prefs_dialog): added standard gnome_font_picker
 	plus entry box, small fix in loop for group_types
	(set_prefs): use NUM_MDI_MODES

	* callbacks.c (select_font_cb): changed to work with new font selector
	(apply_changes_cb): ditto.; use NUM_MDI_MODES

	* ghex.h (_PropertyUI): ditto; use NUM_MDI_MODES
	(DEFAULT_FONT): added foundry for courier font to make font picker
 	happy

1998-10-29  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* gnome-support.c (parse_an_arg): add support for opening files
	specified on the command line.
	* hex-document.c (hex_document_new): return NULL if file can't be
	opened.
	* main.c (main): open files specified on the command line.
	
1998-10-29  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* gtkhex.[ch]: implemented scrolling when mouse pointer is
	dragged outside the widget.
	* callbacks.c (revert_cb): ask user if (s)he really wants to
	revert.
	
1998-10-18  Ville P$Bdt(Bsi  <drc@zoo-gate.fi>

	* Makefile.am: Added icon installation
	* ghex.desktop: Icon added
	* gnome-ghex.png: added

1998-10-12  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* ui.c (ask_user): call gnome_dialog_set_close() instead
	of gnome_dialog_set_destroy() and gtk_window_set_modal()
	instead of gnome_dialog_set_modal().
	
1998-10-04  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* hex-document.c (hex_document_read): fixed a bug with
	an early return which preceded an emission of
	"document_changed" signal.

1998-09-30  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* hex-document.[ch], gnome-support.c, main.c: replaced
	current session managment code with new one using
	gnome-mdi-session session managment from libgnomeui.

1998-09-24  Miguel de Icaza  <miguel@nuclecu.unam.mx>

	* hex-document.c: Added shortcut support

1998-09-21  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* callbacks.[ch] (view_changed_cb): new function; connects to
	MDI view_changed signal and takes care of updating the
	"Group Data As" menu.
	* main.c (main): connect the above handler to MDI's view_changed
	signal.
	
1998-09-04  Nuno Ferreira  <nmrf@rnl.ist.utl.pt>

	* hex-document.c: Include <config.h>. Marked strings for
	translation.

	* ui.c: Likewise.

1998-08-15  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* gtkhex.c (draw_shadow): set backing pixmap and clear
	window area of the whole widget. this makes it look prettier
	with pixmap themes ;)
	(render_hex_lines, render_ascii_lines): clear background before
	minimizing displayed lines to at most gh->vis_lines: this way
	the whole display's background is always white.
	(gtk_hex_init): connect draw_shadow() to gtkhex's draw signal.
	unless this is done the shadows arent drawn after, say, changing
	notebook tabs containing gtkhex widgets.
	* gtkhex.c: removed debugging info.
	* gtkhex.h: remove public declaration of gtk_hex_init().
	* main.c: removed the nasty printf() at startup. god knows a
	remainder of what this was...
	
1998-08-06  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* ui.c (create_prefs_dialog), main.c (main), ghex.h:
	honor MDI preferences stuff just implemented in gnome-mdi.
	
1998-07-27  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* ui.c, hex-document.c: use more GNOME_STOCK items.
	
1998-07-26  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* ui.c (create_prefs_dialog): use gtk_notebook_append_page() instead
	of gnome_property_box_append_page().
	
1998-07-06  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* main.c, ui.c: changed some things because of GnomeMDI
	changes.

1998-07-02  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* hex-document.c: changed document menu callbacks because of
	changes in GnomeMDI.
	* callbacks.c (get_search_string): fixed a small bug with capital
	letters in hex values.
	
1998-07-01  Nuno Ferreira  <nmrf@rnl.ist.utl.pt>

	* ghex.desktop: Added Portuguese translation.

1998-06-28  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* gnome-support.c, main.c: now ghex does proper SM. currently
	the only state it saves and restores are open files.
	
1998-06-23  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* callbacks.c: let conversion callback handle erroneus values.
	* ghex.h, ui.c : minor changes to Converter structure and
	create_converter() function.
	
1998-06-18  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* hex-document.c: put "Group Data As" menu back to document's
	menu structure.
	* callbacks.[ch]: moved callbacks for document's menuitems to
	hex-document.c.

1998-06-17  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* ui.c: added create_converter() fucntion that creates a
	base conversion dialog.
	* callbacks.[ch]: some stuff for base conversion.
	
1998-06-15  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* ui.c: added radio buttons to find/replace dialogs  to enable
	user to nicely choose between hex and ascii mode.
	* ghex.h, ui.c, callbacks.c: now we store pointers to all the
	find/replace/jump dialog widgets and find/replace search type
	in a [Find|Replace|Jump]Dialog structs. Relevant callbacks were
	modified to accomodate this.

1998-06-07  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* gnome-mdi.[ch]: moved to gnome-libs/libgnomeui
	* gnome-mdi-child.[ch]: (ex gnome-document.[ch]) moved to
	gnome-libs/libgnomeui
	* Makefile.am: changed to accomodate the above
	
1998-06-03  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* gnome-mdi.c: major cleanup of gnome-mdi code. looks much better
	now ;)
	
1998-06-02  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* gnome-mdi.[ch]: added gnome_mdi_set_document_[menu|list]_path()
	functions that set path for insertion of document-specific menus and
	document list menu respectively. also patched things up a bit so that
	there is no ghex specific code in GnomeMDI any more.

	* main.c (main): added some comments and calls to
	gnome_mdi_set_document_[menu|list]_path().
	
1998-06-02  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* gnome-mdi.c (app_set_active_view): a few more fixes, I hope it works
	OK now.

1998-06-01  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* gnome-mdi.c: changed to use new gnome_app_insert_menus() and
	gnome_app_remove_menus() routines.
	* gnome-document.[ch]: added GnomeUIInfo support for menu creation via
	menu_template member and gnome_document_set_menu_template().
	* hex-document.c: changed to use GnomeUIInfo support.
	
1998-05-31  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* gnome-mdi.c: added images to Dnd cursors. The widges are global vars,
	but I'm not sure whether this is a good solution.
	
1998-05-28  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* gnome-mdi.[ch]: cleaned the code up a bit and added toolbar creation
	support.
	* gnome-document.c: added default document_changed signal handler to
	GnomeDocument, so that derived classes need not take care of it.
	* hex-document.c: removed document_changed signal handler because the
	default one in the parent class serves its purpose.
	* ui.c: changed to accomodate clean-ups in gnome-mdi.c

1998-05-27  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* ui.c: use the new GNOME_APP_UI_JUSTIFY_RIGHT tag to right-justify the
	help menu.
	
1998-05-26  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* gnome-mdi.c (gnome_mdi_remove_*): all these functions now have an extra
	argument force, which if set to TRUE prevents emission of REMOVE_DOCUMENT
	or REMOVE_VIEW signals and makes removing always successful.
	* gnome-mdi.c: rewritten most of the GnomeApp delete_event handling code,
	which SIGSEGV's no more.
	* callbacks.c: fixed callbacks to work with the changed gnome_mdi_remove_*
	functions.
	* gnome-mdi.c: added copy_ui_info_tree() and free_ui_info_tree()
	functions that copy the whole tree structure of GnomeUIInfo.
	* gnome-mdi.h: added menu_template and toolbar_template members
	to GnomeMDI. They store pointer to a template GnomeUIInfo structure
	for menus and toolbars for all created GnomeApps.
	* gnome-mdi.c: added code that uses gnome-app-helper routines and
	GnomeUIInfo templates for menu creation if these have been passed
	to GnomeMDI with a gnome_mdi_set_menu_template() function. If no such
	templates have been passed, the GnomeMDI falls back to create_menus
	signal for GnomeApp menu creation.
	* main.c, ui.c: now we use the GnomeUIInfo method of creating MDI menus if
	USE_APP_HELPER is defined and the create_menus signal otherwise.

1998-05-25  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* gnome-mdi.c, gnome-document.c: changed GtkSignalRunTypes for GnomeMDI and
	GnomeDocument to GTK_RUN_LAST.
	
1998-05-13  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

        * time to start a ChangeLog. fixed the properties dialog,
	so that ghex doesn't SIGSEGV after clicking the Close button
	and reopening the dialog.
